SKB_PULL(9)

NAME
skb_pull - remove data from the start of a buffer

SYNOPSIS

unsigned char * skb_pull (struct sk_buff * skb, unsigned int len);

ARGUMENTS

skb buffer to use

len amount of data to remove

DESCRIPTION

This function removes data from the start of a buffer, returning the memory to the headroom. A pointer to the next data in the buffer is returned. Once the data has been pulled future pushes will overwrite the old data.